/validate_ach_payment_method

This endpoint can be used to verify an ACH payment method to confirm the bank account is valid and belongs to the consumer. To verify a bank account is valid, pass the following parameters into the request:

  • ach_aba_pii
  • ach_account_pii
If successful, the response will include a verification_response and an account_response_code combination that indicates the level of risk. For more information on these combinations, see ACH Verification Services.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Verifies the current status of the bank account in real-time and reports any negative history associated with the account.

string
required
Defaults to S2411573363

Identifies your client site.

string
required

The Unix Epoch time of the call

string
required
Defaults to 3.0

The version of the API. This version must match the version associated with your API key pair.

string

The HMAC signature that is calculated by running your API Secret Key and the alphabetized, concatenated parameters of the request payload through the SHA256 message digest algorithm.

NOTE: This field is required when authenticating with the HMAC signature method; it is not required when authenticating with OAuth 2.0.

string

The 9-digit ABA/routing number to verify.

string

The account number of the bank account.

Responses

Language
Credentials
URL
LoadingLoading…
Response
Choose an example:
application/json